<div id="credit" ng-controller="ent.CreditCtrl">
    <div  class="row" ng-if="creditInfo.isCredit">
        <div class="col-md-8">
            <div class="panel">
                <div class="panel-heading">
                    <span class="quota">剩余额度：￥{{ creditInfo.creditLine - creditInfo.availableLine }}</span>
                    <div class="mt10">
                        <progressbar style="border-radius: 10px;height: 20px;"  class="progress-striped active" animate="true" max="creditInfo.creditLine" value="creditInfo.availableLine"><span style="color:white;font-size: 14px;">已使用额度：800/1000</span> </progressbar>
                    </div>
                    <div class="relative">
                         <span class="item">消费记录</span>
                         <select class="form-control item" ng-options="item as item.value for item in creditInfo.expendDate track by item.key" ng-model="selectedExpendDate" ng-change="methods.loadExpends(selectedExpendDate)"></select>
                        <button class="btn btn-ghost blue pull-right" ng-click="methods.applyCredit('raise')">申请提升额度</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover table-condensed responsive mb0">
                            <thead>
                                <tr>
                                    <th>序号</th>
                                    <th>订单号</th>
                                    <th>消费者</th>
                                    <th>金额</th>
                                    <th>消费时间</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat = "expend in expends track by $index">
                                    <td class="text-center">{{ expend.sequenceNumber }}</td>
                                    <td class="order-num text-center"><a ui-sref="order.admin({id: expend.order.id })">{{ expend.order.number }}</a></td>
                                    <td class="text-center">{{ expend.consumer }}</td>
                                    <td class="text-right">￥{{ expend.amount }}</td>
                                    <td class="text-center">{{ expend.expendTime | date: 'yyyy-MM-dd HH:mm' }}</td>

                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="text-right mr15 pb15">
                    <span>消费金额：￥{{ vm.expendTotalAmount}}</span>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="panel">
                <div class="panel-heading">
                    <span class="item">还款记录</span>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover table-condensed responsive mb0">
                            <thead>
                                <tr>
                                    <th>序号</th>
                                    <th>还款时间</th>
                                    <th>还款金额</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat = "repayment in repayments track by $index">
                                    <td class="text-center">{{ repayment.sequenceNumber }}</td>
                                    <td class="text-center">{{ repayment.repaymentTime | date: 'yyyy-MM-dd HH:mm' }}</td>
                                    <td class="text-right">￥{{ repayment.amount }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="no-credit-container text-center" ng-if="!creditInfo.isCredit">
        <img src="./res/credit.png" class="credit-desc-png" alt="申请开通">
        <div class="apply-credit-open pb20" ng-click="methods.applyCredit('open')" ng-if="!creditInfo.isCreditAppling">
            <img src="./res/credit-apply-btn.png" alt="点击开通">
        </div>
        <div class="apply-credit-appling pb20" ng-if="creditInfo.isCreditAppling">
            <img src="./res/credit-appling.png" alt="点击开通">
        </div>
    </div>
</div>
